<TeXmacs|1.99.5>

<style|<tuple|beamer|mathemagix|vdh|pari|caas|math-ss>>

<\body>
  <screens|<\shown>
    \;

    <\with|par-mode|center>
      <strong|<\with|font-base-size|15>
        <strong|<strong|The Frobenius FFT>>
      </with>>

      <strong|Joris van der Hoeven>, Robin Larrieu

      <small|CNRS, cole polytechnique>
    </with>

    <\with|par-mode|center>
      <tabular*|<tformat|<table|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.6w|0.6h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<strong|Kaiserslautern,
      July 26, 2017<rsub|<math|<rsub|>>>>>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<anim-repeat|<anim-compose|<anim-constant|<with|color|brown|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|dark
      green|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>|<anim-constant|<with|color|dark
      green|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>>>.org>>|<cell|>>>>>
    </with>

    \;
  </shown>|<\hidden>
    <tit|Fundamental theoretical complexity bounds>

    \;

    <\theorem*>
      <dueto|Harvey\UvdH\ULecerf 2014>Two <math|n>-bit integers can be
      multiplied in time

      <\eqnarray*>
        <tformat|<table|<row|<cell|<math-ss|I><around*|(|n|)>>|<cell|=>|<cell|O<around*|(|n*log
        n*8<rsup|log<rsup|\<ast\>> n>|)>.>>>>
      </eqnarray*>
    </theorem*>

    \;

    <\theorem*>
      <dueto|Harvey\UvdH\ULecerf 2014>Let <math|q> be a prime power. Then two
      polynomials of degree <math|\<less\>n> in
      <math|\<bbb-F\><rsub|q><around*|[|x|]>> can be multiplied in time

      <\eqnarray*>
        <tformat|<table|<row|<cell|<math-ss|M><rsub|q><around*|(|n|)>>|<cell|=>|<cell|O<around*|(|n*log
        q*log <around*|(|n*log q|)>*8<rsup|log<rsup|\<ast\>> <around*|(|n*log
        q|)>>|)>.>>>>
      </eqnarray*>

      This bound is uniform in <math|q>.
    </theorem*>

    \;
  </hidden>|<\hidden>
    <tit|From theory to practice>

    <unroll|<\shown>
      <strong|Integer multiplication>

      <\itemize>
        <unroll|<\shown>
          <item>Pollard's number theoretic FFTs (1971): <math|\<bbb-Z\>>
          <math|\<rightsquigarrow\>> <math|<around*|(|\<bbb-F\><rsub|p<rsub|1>>\<times\>\<bbb-F\><rsub|p<rsub|2>>\<times\>\<bbb-F\><rsub|p<rsub|3>>|)><around*|[|x|]>>
        </shown>|<\hidden*>
          <item>Smoothing jumps in the complexity: mixed radix FFTs or
          TFTs<vspace|1fn>
        </hidden*>>
      </itemize>
    </shown>|<\hidden*>
      <strong|Polynomial multiplication in
      <math|\<bbb-F\><rsub|q><around*|[|x|]>>>

      <\itemize>
        <unroll|<\shown>
          <item>Schnhage\UStrassen multiplication (1971) and Schnhage's
          triadic version (1975)
        </shown>|<\hidden*>
          <item>Harvey\UvdH\ULecerf (ISSAC 2016): better practical algorithms
          in characteristic <math|2>
        </hidden*>|<\hidden*>
          <item>Larrieu (ISSAC 2017): generalization of TFTs to mixed radix
          setting<vspace|1fn>
        </hidden*>>
      </itemize>
    </hidden*>|<\hidden*>
      <strong|Main lesson>

      <\itemize>
        <unroll|<\shown>
          <\compact>
            <item>Privilege methods that use few FFT evaluation points
            <math|\<rightsquigarrow\>>

            use finite fields <math|\<bbb-F\><rsub|q>> with multiplicative
            groups of smooth order
          </compact>

          <\itemize>
            <item>Pollard's method <math|\<gtr\>> Schnhage\UStrassen

            <item>Harvey\UvdH\ULecerf <math|\<gtr\>> Schnhage's triadic FFT

            <item>Mixed radii and/or TFT whenever possible
          </itemize>
        </shown>>
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Approach from ISSAC 2016>

    <unroll|<\shown>
      Rely on the \PBabylonian field\Q <math|\<bbb-F\><rsub|2<rsup|60>>>,
      whose multiplicative group has order

      <\session|pari|default>
        <\folded-io|Pari] >
          factor (2^60 - 1)
        <|folded-io>
          <with|color|magenta|%1 = <math|<with|color|blue|<matrix|<tformat|<table|<row|<cell|3>|<cell|2>>|<row|<cell|5>|<cell|2>>|<row|<cell|7>|<cell|1>>|<row|<cell|11>|<cell|1>>|<row|<cell|13>|<cell|1>>|<row|<cell|31>|<cell|1>>|<row|<cell|41>|<cell|1>>|<row|<cell|61>|<cell|1>>|<row|<cell|151>|<cell|1>>|<row|<cell|331>|<cell|1>>|<row|<cell|1321>|<cell|1>>>>>>>>
        </folded-io>
      </session>
    </shown>|<\hidden*>
      <vspace*|0.5fn><strong|Multiplication in
      <math|\<bbb-F\><rsub|2<rsup|60>><around*|[|x|]>>>

      Fast native mixed radix FFT-multiplication
    </hidden*>|<\hidden*>
      <vspace*|0.5fn><strong|Multiplication in
      <math|\<bbb-F\><rsub|2><around*|[|x|]>>>

      Kronecker segmentation <math|\<bbb-F\><rsub|2><around*|[|x|]>\<rightsquigarrow\>\<bbb-F\><rsub|2><around*|[|x|]><rsub|\<less\>30><around*|[|y|]>\<rightsquigarrow\>\<bbb-F\><rsub|2<rsup|60>><around*|[|y|]>>,
      <math|y=x<rsup|30>>
    </hidden*>|<\hidden*>
      <vspace*|0.5fn><strong|Multiplication in
      <math|\<bbb-F\><rsub|2<rsup|k>><around*|[|x|]>>>

      Various strategies to reduce to multiplication in
      <math|\<bbb-F\><rsub|2<rsup|60>><around*|[|x|]>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Frobenius FFT>

    \;

    <unroll|<\shown>
      <strong|Question>

      What if we directly compute products of polynomials in
      <math|\<bbb-F\><rsub|2><around*|[|x|]>> inside
      <math|\<bbb-F\><rsub|2<rsup|60>><around*|[|x|]>><space|0.2spc>?<vspace|1fn>
    </shown>|<\hidden*>
      <strong|A priori>

      This is <math|60> times more expensive<vspace|1fn>
    </hidden*>|<\hidden*>
      <strong|But>

      If <math|P\<in\>\<bbb-F\><rsub|2><around*|[|x|]>> and
      <math|\<omega\>\<in\>\<bbb-F\><rsub|2<rsup|60>>> primitive root of
      unity and <math|\<phi\>:\<bbb-F\><rsub|2<rsup|60>>\<rightarrow\>\<bbb-F\><rsub|2<rsup|60>>;x\<mapsto\>x<rsup|2>>,
      then

      <\eqnarray*>
        <tformat|<table|<row|<cell|P<around*|(|\<phi\><around*|(|\<omega\><rsup|i>|)>|)>>|<cell|=>|<cell|\<phi\><around*|(|P<around*|(|\<omega\><rsup|i>|)>|)>>>>>
      </eqnarray*>

      <math|\<rightsquigarrow\>> we only to compute
      <math|P<around*|(|\<omega\><rsup|i>|)>> for one element in the orbit
      <math|\<omega\>,\<phi\><around*|(|\<omega\>|)>,\<phi\><rsup|2><around*|(|\<omega\>|)>,\<ldots\>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Real FFT, first approach>

    <unroll|<\shown>
      <\compact>
        Given <math|P\<in\>\<bbb-R\><around*|[|x|]><rsub|\<less\>n>>,
        <math|n\<in\>2<rsup|\<bbb-N\>>>, and
        <math|\<omega\>=exp<around*|(|<frac|2*\<mathpi\>*\<mathi\>|n>|)>>,
        compute

        <\eqnarray*>
          <tformat|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|RFFT<rsub|\<omega\>><around*|(|P|)>>|<cell|\<assign\>>|<cell|<around*|(|P<around*|(|\<omega\><rsup|k>|)>|)><rsub|k\<in\>\<cal-S\>>>>|<row|<cell|\<cal-S\>>|<cell|=>|<cell|<around|{|k:<wide|k|^>\<leqslant\><wide|n-k|^>|}>>>>>
        </eqnarray*>
      </compact>
    </shown>|<\hidden*>
      <switch|<\shown>
        <with|gr-mode|<tuple|edit|spline>|gr-frame|<tuple|scale|1.18921cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.491272par|center>|magnify|1.189207115|gr-point-size|5ln|gr-text-at-halign|center|gr-snap|<tuple|control
        point|grid point|grid curve point|curve-grid intersection|curve
        point|curve-curve intersection>|<graphics||<with|point-size|5ln|<point|-0.5|3>>|<with|point-size|5ln|<point|-1.5|3>>|<with|point-size|5ln|<point|-2.5|3>>|<with|point-size|5ln|<point|-3.5|3>>|<with|point-size|5ln|<point|-4.5|3>>|<with|point-size|5ln|<point|-5.5|3>>|<with|point-size|5ln|<point|-6.5|3>>|<with|point-size|5ln|<point|-7.5|3>>|<line|<point|0.5|0>|<point|0.5|3.0>>|<with|point-size|5ln|<point|0.5|3>>|<line|<point|1.5|3>|<point|1.5|0.0>>|<with|point-size|5ln|<point|1.5|3>>|<line|<point|2.5|3>|<point|2.5|0.0>>|<with|point-size|5ln|<point|2.5|3>>|<line|<point|3.5|3>|<point|3.5|0.0>>|<with|point-size|5ln|<point|3.5|3>>|<with|point-size|5ln|<point|4.5|3>>|<with|point-size|5ln|<point|5.5|3>>|<with|point-size|5ln|<point|6.5|3>>|<with|point-size|5ln|<point|7.5|3>>|<with|point-size|5ln|<point|-7.5|1.5>>|<with|point-size|5ln|<point|-6.5|1.5>>|<with|point-size|5ln|<point|-5.5|1.5>>|<with|point-size|5ln|<point|-4.5|1.5>>|<with|point-size|5ln|<point|-3.5|1.5>>|<with|point-size|5ln|<point|-2.5|1.5>>|<with|point-size|5ln|<point|-1.5|1.5>>|<with|point-size|5ln|<point|-0.5|1.5>>|<with|point-size|5ln|<point|0.5|1.5>>|<with|point-size|5ln|<point|1.5|1.5>>|<with|point-size|5ln|<point|2.5|1.5>>|<with|point-size|5ln|<point|3.5|1.5>>|<with|point-size|5ln|<point|4.5|1.5>>|<with|point-size|5ln|<point|5.5|1.5>>|<with|point-size|5ln|<point|6.5|1.5>>|<with|point-size|5ln|<point|7.5|1.5>>|<with|point-size|5ln|<point|-7.5|0>>|<with|point-size|5ln|<point|-6.5|0>>|<with|point-size|5ln|<point|-5.5|0>>|<with|point-size|5ln|<point|-4.5|0>>|<with|point-size|5ln|<point|-3.5|0>>|<line|<point|-2.5|0>|<point|-2.5|-1.5>>|<with|point-size|5ln|<point|-2.5|0>>|<with|point-size|5ln|<point|-1.5|0>>|<line|<point|-3.5|0>|<point|-3.5|-1.5>>|<with|point-size|5ln|<point|-0.5|0>>|<with|point-size|5ln|<point|-7.5|-1.5>>|<with|point-size|5ln|<point|-6.5|-1.5>>|<line|<point|-5.5|-1.5>|<point|-5.5|-3.0>>|<with|point-size|5ln|<point|-5.5|-1.5>>|<with|point-size|5ln|<point|-4.5|-1.5>>|<with|point-size|5ln|<point|-7.5|-3>>|<with|point-size|5ln|<point|-6.5|-3>>|<with|color|black|point-size|5ln|<point|0.5|0>>|<with|color|black|point-size|5ln|<point|1.5|0>>|<with|color|black|point-size|5ln|<point|2.5|0>>|<with|color|black|point-size|5ln|<point|0.5|-1.5>>|<with|color|black|point-size|5ln|<point|1.5|-1.5>>|<with|color|black|point-size|5ln|<point|2.5|-1.5>>|<with|color|black|point-size|5ln|<point|3.5|-1.5>>|<with|color|black|point-size|5ln|<point|0.5|-3>>|<with|color|black|point-size|5ln|<point|1.5|-3>>|<with|color|black|point-size|5ln|<point|2.5|-3>>|<with|color|black|point-size|5ln|<point|3.5|-3>>|<with|color|black|point-size|5ln|<point|-3.5|-1.5>>|<with|color|black|point-size|5ln|<point|-2.5|-1.5>>|<with|color|black|point-size|5ln|<point|-3.5|-3>>|<with|color|black|point-size|5ln|<point|-2.5|-3>>|<with|color|black|point-size|5ln|<point|-5.5|-3>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-5.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|-3.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-4.5|-4.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|-6.5|-4.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|-2.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-1.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|-0.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\>|<point|0.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|1.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|2.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|3.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|4.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|5.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|6.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|15>|<point|7.5|-4>>>|<spline|<point|-2.5|-4.5>|<point|-2.0|-4.75>|<point|-1.5|-4.5>>|<spline|<point|-3.5|-4.5>|<point|-2.0|-5.25>|<point|-0.5|-4.5>>|<spline|<point|3.5|-4.375>|<point|4.0|-4.5>|<point|4.5|-4.375>>|<spline|<point|2.5|-4.375>|<point|4.0|-4.75>|<point|5.5|-4.375>>|<spline|<point|1.5|-4.375>|<point|4.0|-5.0>|<point|6.5|-4.375>>|<spline|<point|0.5|-4.375>|<point|4.0|-5.25>|<point|7.5|-4.375>>|<with|text-at-halign|center|<math-at|1|<point|-7.5|-4.625>>>|<with|text-at-halign|center|<math-at|-<space|-0.2spc>1|<point|-6.5|-4.625>>>|<with|text-at-halign|center|<math-at|\<mathi\>|<point|-5.5|-4.625>>>|<with|text-at-halign|center|<math-at|-\<mathi\>|<point|-4.5|-4.625>>>|<spline|<point|-5.5|-4.81842200406041>|<point|-5.0|-5.125>|<point|-4.5|-4.86678532691826>>|<line|<point|-7.5|-1.5>|<point|-6.5|-3.0>>|<line|<point|-7.5|-3>|<point|-6.5|-1.5>>|<line|<point|-7.5|-1.5>|<point|-7.5|-3.0>>|<line|<point|-6.5|-1.5>|<point|-6.5|-3.0>>|<with|color|black|<line|<point|-3.5|-1.5>|<point|-3.5|-3.0>>>|<with|color|black|<line|<point|-3.5|-3>|<point|-2.5|-1.5>>>|<with|color|black|<line|<point|-3.5|-1.5>|<point|-2.5|-3.0>>>|<with|color|black|<line|<point|-2.5|-1.5>|<point|-2.5|-3.0>>>|<with|color|black|<line|<point|0.5|-1.5>|<point|0.5|-3.0>>>|<with|color|black|<line|<point|0.5|-3>|<point|1.5|-1.5>>>|<with|color|black|<line|<point|1.5|-1.5>|<point|1.5|-3.0>>>|<with|color|black|<line|<point|1.5|-3>|<point|0.5|-1.5>>>|<with|color|black|<line|<point|2.5|-1.5>|<point|2.5|-3.0>>>|<with|color|black|<line|<point|2.5|-3>|<point|3.5|-1.5>>>|<with|color|black|<line|<point|2.5|-1.5>|<point|3.5|-3.0>>>|<with|color|black|<line|<point|3.5|-3>|<point|3.5|-1.5>>>|<with|color|black|<spline|<point|0.5|0>|<point|1.5|-0.5>|<point|2.5|-1.5>>>|<with|color|black|<spline|<point|2.5|0>|<point|1.5|-0.5>|<point|0.5|-1.5>>>|<with|color|black|<spline|<point|1.5|0>|<point|2.5|-0.5>|<point|3.5|-1.5>>>|<with|color|black|<spline|<point|3.5|0>|<point|2.5|-0.5>|<point|1.5|-1.5>>>|<with|color|black|<line|<point|0.5|0>|<point|0.5|-1.375>>>|<with|color|black|<line|<point|1.5|0>|<point|1.5|-1.5>>>|<with|color|black|<line|<point|2.5|0>|<point|2.5|-1.5>>>|<with|color|black|<line|<point|3.5|0>|<point|3.5|-1.5>>>|<line|<point|-7.5|0>|<point|-7.5|-1.5>>|<line|<point|-6.5|0>|<point|-6.5|-1.5>>|<line|<point|-5.5|0>|<point|-5.5|-1.5>>|<line|<point|-4.5|0>|<point|-4.5|-1.5>>|<line|<point|-2.5|3>|<point|-2.5|0.0>>|<line|<point|-1.5|3>|<point|-1.5|0.0>>|<line|<point|-0.5|3>|<point|-0.5|0.0>>|<line|<point|-3.5|3.0>|<point|-3.5|0.0>>|<line|<point|-4.5|3.0>|<point|-4.5|0.0>>|<line|<point|-5.5|3.0>|<point|-5.5|0.0>>|<line|<point|-6.5|3.0>|<point|-6.5|0.0>>|<line|<point|-7.5|3.0>|<point|-7.5|0.0>>|<line|<point|4.5|3>|<point|4.5|1.5>>|<line|<point|5.5|3>|<point|5.5|1.5>>|<line|<point|6.5|3>|<point|6.5|1.5>>|<line|<point|7.5|3>|<point|7.5|1.5>>|<spline|<point|-7.5|0>|<point|-6.5|-0.5>|<point|-5.5|-1.5>>|<spline|<point|-5.5|0>|<point|-6.5|-0.5>|<point|-7.5|-1.5>>|<spline|<point|-6.5|0>|<point|-5.5|-0.5>|<point|-4.5|-1.5>>|<spline|<point|-4.5|0>|<point|-5.5|-0.5>|<point|-6.5|-1.5>>|<spline|<point|-7.5|1.5>|<point|-5.5|1.0>|<point|-3.5|0.0>>|<spline|<point|-3.5|1.5>|<point|-5.5|1.0>|<point|-7.5|0.0>>|<spline|<point|-6.5|1.5>|<point|-4.5|1.0>|<point|-2.5|0.0>>|<spline|<point|-2.5|1.5>|<point|-4.5|1.0>|<point|-6.5|0.0>>|<spline|<point|-5.5|1.5>|<point|-3.5|1.0>|<point|-1.5|0.0>>|<spline|<point|-1.5|1.5>|<point|-3.5|1.0>|<point|-5.5|0.0>>|<spline|<point|-4.5|1.5>|<point|-2.5|1.0>|<point|-0.5|0.0>>|<spline|<point|-0.5|1.5>|<point|-2.5|1.0>|<point|-4.5|0.0>>|<spline|<point|-7.5|3>|<point|-3.5|2.5>|<point|0.5|1.5>>|<spline|<point|0.5|3>|<point|-3.5|2.5>|<point|-7.5|1.5>>|<spline|<point|-6.5|3>|<point|-2.5|2.5>|<point|1.5|1.5>>|<spline|<point|1.5|3>|<point|-2.5|2.5>|<point|-6.5|1.5>>|<spline|<point|-5.5|3>|<point|-1.5|2.5>|<point|2.5|1.5>>|<spline|<point|2.5|3>|<point|-1.5|2.5>|<point|-5.5|1.5>>|<spline|<point|-4.5|3>|<point|-0.5|2.5>|<point|3.5|1.5>>|<spline|<point|3.5|3>|<point|-0.5|2.5>|<point|-4.5|1.5>>|<spline|<point|-3.5|3>|<point|0.5|2.5>|<point|4.5|1.5>>|<spline|<point|-2.5|3>|<point|1.5|2.5>|<point|5.5|1.5>>|<spline|<point|7.5|3>|<point|3.5|2.5>|<point|-0.5|1.5>>|<spline|<point|4.5|3>|<point|0.5|2.5>|<point|-3.5|1.5>>|<spline|<point|5.5|3>|<point|1.5|2.5>|<point|-2.5|1.5>>|<spline|<point|6.5|3>|<point|2.5|2.5>|<point|-1.5|1.5>>|<spline|<point|-1.5|3.0>|<point|2.5|2.5>|<point|6.5|1.5>>|<spline|<point|-0.5|3>|<point|3.5|2.5>|<point|7.5|1.5>>|<with|color|black|point-size|5ln|<point|3.5|0>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|-0.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|0.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|1.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|2.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|3.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|4.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|5.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|6.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|15>|<point|7.5|3.375>>>|<spline|<point|-6.59597574881108|-4.80540645771338>|<point|-6.78442306087827|-4.97672219595628>|<point|-6.52744945351392|-5.19943265567205>|<point|-6.27047584614957|-4.97672219595628>|<point|-6.44179158439247|-4.82253803153767>>|<spline|<point|-7.62387017826849|-4.82253803153767>|<point|-7.7780543426871|-4.99385376978057>|<point|-7.53821230914704|-5.18230108184776>|<point|-7.29837027560697|-4.97672219595628>|<point|-7.45255444002559|-4.82253803153767>>|<with|point-size|5ln|<point|-1.5|-1.5>>|<with|point-size|5ln|<point|-0.5|-1.5>>|<with|point-size|5ln|<point|-1.5|-3>>|<with|point-size|5ln|<point|-0.5|-3>>|<with|point-size|5ln|<point|4.5|-3>>|<with|point-size|5ln|<point|4.5|-1.5>>|<with|point-size|5ln|<point|4.5|0>>|<with|point-size|5ln|<point|5.5|0>>|<with|point-size|5ln|<point|6.5|0>>|<with|point-size|5ln|<point|7.5|0>>|<with|point-size|5ln|<point|5.5|-1.5>>|<with|point-size|5ln|<point|5.5|-3>>|<with|point-size|5ln|<point|6.5|-3>>|<with|point-size|5ln|<point|6.5|-1.5>>|<with|point-size|5ln|<point|7.5|-1.5>>|<with|point-size|5ln|<point|7.5|-3>>|<line|<point|4.5|1.5>|<point|4.5|-3.0>>|<line|<point|5.5|1.5>|<point|5.5|-3.0>>|<line|<point|6.5|1.5>|<point|6.5|-3.0>>|<line|<point|7.5|1.5>|<point|7.5|-3.0>>|<line|<point|-1.5|0>|<point|-1.5|-3.0>>|<line|<point|-0.5|0>|<point|-0.5|-3.0>>|<line|<point|-4.5|-1.5>|<point|-4.5|-3.0>>|<line|<point|-4.5|-3>|<point|-5.5|-1.5>>|<line|<point|-5.5|-3>|<point|-4.5|-1.5>>|<line|<point|-1.5|-1.5>|<point|-0.5|-3.0>>|<line|<point|-1.5|-3>|<point|-0.5|-1.5>>|<line|<point|4.5|-1.5>|<point|5.5|-3.0>>|<line|<point|4.5|-3>|<point|5.5|-1.5>>|<line|<point|6.5|-1.5>|<point|7.5|-3.0>>|<line|<point|6.5|-3>|<point|7.5|-1.5>>|<with|point-size|5ln|<point|-4.5|-3>>|<spline|<point|-3.5|0>|<point|-2.5|-0.5>|<point|-1.5|-1.5>>|<spline|<point|-3.5|-1.5>|<point|-2.5|-0.5>|<point|-1.5|0.0>>|<spline|<point|-2.5|0>|<point|-1.5|-0.5>|<point|-0.5|-1.5>>|<spline|<point|-2.5|-1.5>|<point|-1.5|-0.5>|<point|-0.5|0.0>>|<spline|<point|4.5|0>|<point|5.5|-0.5>|<point|6.5|-1.5>>|<spline|<point|4.5|-1.5>|<point|5.5|-0.5>|<point|6.5|0.0>>|<spline|<point|5.5|0>|<point|6.5|-0.5>|<point|7.5|-1.5>>|<spline|<point|5.5|-1.5>|<point|6.5|-0.5>|<point|7.5|0.0>>|<spline|<point|0.5|1.5>|<point|2.5|1.0>|<point|4.5|0.0>>|<spline|<point|4.5|1.5>|<point|2.5|1.0>|<point|0.5|0.0>>|<spline|<point|1.5|1.5>|<point|3.5|1.0>|<point|5.5|0.0>>|<spline|<point|5.5|1.5>|<point|3.5|1.0>|<point|1.5|0.0>>|<spline|<point|2.5|1.5>|<point|4.5|1.0>|<point|6.5|0.0>>|<spline|<point|6.5|1.5>|<point|4.5|1.0>|<point|2.5|0.0>>|<spline|<point|3.5|1.5>|<point|5.5|1.0>|<point|7.5|0.0>>|<spline|<point|7.5|1.5>|<point|5.5|1.0>|<point|3.5|0.0>>>>
      </shown>|<\hidden>
        <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|1.18921cm|<tuple|0.5gw|0.559998gh>>|gr-geometry|<tuple|geometry|1par|0.491272par|center>|magnify|1.189207115|gr-point-size|5ln|gr-text-at-halign|center|gr-snap|<tuple|control
        point|grid point|grid curve point|curve-grid intersection|curve
        point|curve-curve intersection>|gr-color|red|<graphics||<with|point-size|5ln|<point|-0.5|3>>|<with|point-size|5ln|<point|-1.5|3>>|<with|point-size|5ln|<point|-2.5|3>>|<with|point-size|5ln|<point|-3.5|3>>|<with|point-size|5ln|<point|-4.5|3>>|<with|point-size|5ln|<point|-5.5|3>>|<with|point-size|5ln|<point|-6.5|3>>|<with|point-size|5ln|<point|-7.5|3>>|<line|<point|0.5|0>|<point|0.5|3.0>>|<with|point-size|5ln|<point|0.5|3>>|<line|<point|1.5|3>|<point|1.5|0.0>>|<with|point-size|5ln|<point|1.5|3>>|<line|<point|2.5|3>|<point|2.5|0.0>>|<with|point-size|5ln|<point|2.5|3>>|<line|<point|3.5|3>|<point|3.5|0.0>>|<with|point-size|5ln|<point|3.5|3>>|<with|point-size|5ln|<point|4.5|3>>|<with|point-size|5ln|<point|5.5|3>>|<with|point-size|5ln|<point|6.5|3>>|<with|point-size|5ln|<point|7.5|3>>|<with|point-size|5ln|<point|-7.5|1.5>>|<with|point-size|5ln|<point|-6.5|1.5>>|<with|point-size|5ln|<point|-5.5|1.5>>|<with|point-size|5ln|<point|-4.5|1.5>>|<with|point-size|5ln|<point|-3.5|1.5>>|<with|point-size|5ln|<point|-2.5|1.5>>|<with|point-size|5ln|<point|-1.5|1.5>>|<with|point-size|5ln|<point|-0.5|1.5>>|<with|point-size|5ln|<point|0.5|1.5>>|<with|point-size|5ln|<point|1.5|1.5>>|<with|point-size|5ln|<point|2.5|1.5>>|<with|point-size|5ln|<point|3.5|1.5>>|<line|<point|6.5|1.5>|<point|2.5|0.0>>|<with|point-size|5ln|<point|4.5|1.5>>|<line|<point|4.5|1.5>|<point|0.5|0.0>>|<line|<point|5.5|1.5>|<point|1.5|0.0>>|<with|point-size|5ln|<point|5.5|1.5>>|<with|point-size|5ln|<point|6.5|1.5>>|<with|point-size|5ln|<point|7.5|1.5>>|<with|point-size|5ln|<point|-7.5|0>>|<with|point-size|5ln|<point|-6.5|0>>|<with|point-size|5ln|<point|-5.5|0>>|<with|point-size|5ln|<point|-4.5|0>>|<with|point-size|5ln|<point|-3.5|0>>|<line|<point|-2.5|0>|<point|-2.5|-1.5>>|<with|point-size|5ln|<point|-2.5|0>>|<with|point-size|5ln|<point|-1.5|0>>|<line|<point|-3.5|0>|<point|-3.5|-1.5>>|<line|<point|-1.5|0>|<point|-3.5|-1.5>>|<line|<point|-2.5|-1.5>|<point|-0.5|0.0>>|<with|point-size|5ln|<point|-0.5|0>>|<with|point-size|5ln|<point|-7.5|-1.5>>|<with|point-size|5ln|<point|-6.5|-1.5>>|<line|<point|-5.5|-1.5>|<point|-5.5|-3.0>>|<line|<point|-5.5|-3>|<point|-4.5|-1.5>>|<with|point-size|5ln|<point|-5.5|-1.5>>|<with|point-size|5ln|<point|-4.5|-1.5>>|<with|point-size|5ln|<point|-7.5|-3>>|<with|point-size|5ln|<point|-6.5|-3>>|<with|color|red|point-size|5ln|<point|0.5|0>>|<with|color|red|point-size|5ln|<point|1.5|0>>|<with|color|red|point-size|5ln|<point|2.5|0>>|<with|color|red|point-size|5ln|<point|0.5|-1.5>>|<with|color|red|point-size|5ln|<point|1.5|-1.5>>|<with|color|red|point-size|5ln|<point|2.5|-1.5>>|<with|color|red|point-size|5ln|<point|3.5|-1.5>>|<with|color|red|point-size|5ln|<point|0.5|-3>>|<with|color|red|point-size|5ln|<point|1.5|-3>>|<with|color|red|point-size|5ln|<point|2.5|-3>>|<with|color|red|point-size|5ln|<point|3.5|-3>>|<with|color|red|point-size|5ln|<point|-3.5|-1.5>>|<with|color|red|point-size|5ln|<point|-2.5|-1.5>>|<with|color|red|point-size|5ln|<point|-3.5|-3>>|<with|color|red|point-size|5ln|<point|-2.5|-3>>|<with|color|red|point-size|5ln|<point|-5.5|-3>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-5.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|-3.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-4.5|-4.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|-6.5|-4.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|-2.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-1.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|-0.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\>|<point|0.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|1.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|2.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|3.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|4.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|5.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|6.5|-4>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|15>|<point|7.5|-4>>>|<spline|<point|-2.5|-4.5>|<point|-2.0|-4.75>|<point|-1.5|-4.5>>|<spline|<point|-3.5|-4.5>|<point|-2.0|-5.25>|<point|-0.5|-4.5>>|<spline|<point|3.5|-4.375>|<point|4.0|-4.5>|<point|4.5|-4.375>>|<spline|<point|2.5|-4.375>|<point|4.0|-4.75>|<point|5.5|-4.375>>|<spline|<point|1.5|-4.375>|<point|4.0|-5.0>|<point|6.5|-4.375>>|<spline|<point|0.5|-4.375>|<point|4.0|-5.25>|<point|7.5|-4.375>>|<with|text-at-halign|center|<math-at|1|<point|-7.5|-4.625>>>|<with|text-at-halign|center|<math-at|-<space|-0.2spc>1|<point|-6.5|-4.625>>>|<with|text-at-halign|center|<math-at|\<mathi\>|<point|-5.5|-4.625>>>|<with|text-at-halign|center|<math-at|-\<mathi\>|<point|-4.5|-4.625>>>|<spline|<point|-5.5|-4.81842200406041>|<point|-5.0|-5.125>|<point|-4.5|-4.86678532691826>>|<line|<point|-7.5|-1.5>|<point|-6.5|-3.0>>|<line|<point|-7.5|-3>|<point|-6.5|-1.5>>|<line|<point|-7.5|-1.5>|<point|-7.5|-3.0>>|<line|<point|-6.5|-1.5>|<point|-6.5|-3.0>>|<with|color|red|<line|<point|-3.5|-1.5>|<point|-3.5|-3.0>>>|<with|color|red|<line|<point|-3.5|-3>|<point|-2.5|-1.5>>>|<with|color|red|<line|<point|-3.5|-1.5>|<point|-2.5|-3.0>>>|<with|color|red|<line|<point|-2.5|-1.5>|<point|-2.5|-3.0>>>|<with|color|red|<line|<point|0.5|-1.5>|<point|0.5|-3.0>>>|<with|color|red|<line|<point|0.5|-3>|<point|1.5|-1.5>>>|<with|color|red|<line|<point|1.5|-1.5>|<point|1.5|-3.0>>>|<with|color|red|<line|<point|1.5|-3>|<point|0.5|-1.5>>>|<with|color|red|<line|<point|2.5|-1.5>|<point|2.5|-3.0>>>|<with|color|red|<line|<point|2.5|-3>|<point|3.5|-1.5>>>|<with|color|red|<line|<point|2.5|-1.5>|<point|3.5|-3.0>>>|<with|color|red|<line|<point|3.5|-3>|<point|3.5|-1.5>>>|<with|color|red|<spline|<point|0.5|0>|<point|1.5|-0.5>|<point|2.5|-1.5>>>|<with|color|red|<spline|<point|2.5|0>|<point|1.5|-0.5>|<point|0.5|-1.5>>>|<with|color|red|<spline|<point|1.5|0>|<point|2.5|-0.5>|<point|3.5|-1.5>>>|<with|color|red|<spline|<point|3.5|0>|<point|2.5|-0.5>|<point|1.5|-1.5>>>|<with|color|red|<line|<point|0.5|0>|<point|0.5|-1.375>>>|<with|color|red|<line|<point|1.5|0>|<point|1.5|-1.5>>>|<with|color|red|<line|<point|2.5|0>|<point|2.5|-1.5>>>|<with|color|red|<line|<point|3.5|0>|<point|3.5|-1.5>>>|<line|<point|-7.5|0>|<point|-7.5|-1.5>>|<line|<point|-6.5|0>|<point|-6.5|-1.5>>|<line|<point|-5.5|0>|<point|-5.5|-1.5>>|<line|<point|-4.5|0>|<point|-4.5|-1.5>>|<line|<point|-2.5|3>|<point|-2.5|0.0>>|<line|<point|-1.5|3>|<point|-1.5|0.0>>|<line|<point|-0.5|3>|<point|-0.5|0.0>>|<line|<point|-3.5|3.0>|<point|-3.5|0.0>>|<line|<point|-4.5|3.0>|<point|-4.5|0.0>>|<line|<point|-5.5|3.0>|<point|-5.5|0.0>>|<line|<point|-6.5|3.0>|<point|-6.5|0.0>>|<line|<point|-7.5|3.0>|<point|-7.5|0.0>>|<line|<point|4.5|3>|<point|4.5|1.5>>|<line|<point|5.5|3>|<point|5.5|1.5>>|<line|<point|6.5|3>|<point|6.5|1.5>>|<line|<point|7.5|3>|<point|7.5|1.5>>|<spline|<point|-7.5|0>|<point|-6.5|-0.5>|<point|-5.5|-1.5>>|<spline|<point|-5.5|0>|<point|-6.5|-0.5>|<point|-7.5|-1.5>>|<spline|<point|-6.5|0>|<point|-5.5|-0.5>|<point|-4.5|-1.5>>|<spline|<point|-4.5|0>|<point|-5.5|-0.5>|<point|-6.5|-1.5>>|<spline|<point|-7.5|1.5>|<point|-5.5|1.0>|<point|-3.5|0.0>>|<spline|<point|-3.5|1.5>|<point|-5.5|1.0>|<point|-7.5|0.0>>|<spline|<point|-6.5|1.5>|<point|-4.5|1.0>|<point|-2.5|0.0>>|<spline|<point|-2.5|1.5>|<point|-4.5|1.0>|<point|-6.5|0.0>>|<spline|<point|-5.5|1.5>|<point|-3.5|1.0>|<point|-1.5|0.0>>|<spline|<point|-1.5|1.5>|<point|-3.5|1.0>|<point|-5.5|0.0>>|<spline|<point|-4.5|1.5>|<point|-2.5|1.0>|<point|-0.5|0.0>>|<spline|<point|-0.5|1.5>|<point|-2.5|1.0>|<point|-4.5|0.0>>|<spline|<point|-7.5|3>|<point|-3.5|2.5>|<point|0.5|1.5>>|<spline|<point|0.5|3>|<point|-3.5|2.5>|<point|-7.5|1.5>>|<spline|<point|-6.5|3>|<point|-2.5|2.5>|<point|1.5|1.5>>|<spline|<point|1.5|3>|<point|-2.5|2.5>|<point|-6.5|1.5>>|<spline|<point|-5.5|3>|<point|-1.5|2.5>|<point|2.5|1.5>>|<spline|<point|2.5|3>|<point|-1.5|2.5>|<point|-5.5|1.5>>|<spline|<point|-4.5|3>|<point|-0.5|2.5>|<point|3.5|1.5>>|<spline|<point|3.5|3>|<point|-0.5|2.5>|<point|-4.5|1.5>>|<spline|<point|-3.5|3>|<point|0.5|2.5>|<point|4.5|1.5>>|<spline|<point|-2.5|3>|<point|1.5|2.5>|<point|5.5|1.5>>|<spline|<point|7.5|3>|<point|3.5|2.5>|<point|-0.5|1.5>>|<spline|<point|4.5|3>|<point|0.5|2.5>|<point|-3.5|1.5>>|<spline|<point|5.5|3>|<point|1.5|2.5>|<point|-2.5|1.5>>|<spline|<point|6.5|3>|<point|2.5|2.5>|<point|-1.5|1.5>>|<spline|<point|-1.5|3.0>|<point|2.5|2.5>|<point|6.5|1.5>>|<spline|<point|-0.5|3>|<point|3.5|2.5>|<point|7.5|1.5>>|<line|<point|7.5|1.5>|<point|3.5|0.0>>|<with|color|red|point-size|5ln|<point|3.5|0>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|-0.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|0.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|1.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|2.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|3.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|4.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|5.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|6.5|3.375>>>|<with|text-at-halign|center|<math-at|P<rsub|15>|<point|7.5|3.375>>>|<spline|<point|-6.59597574881108|-4.80540645771338>|<point|-6.78442306087827|-4.97672219595628>|<point|-6.52744945351392|-5.19943265567205>|<point|-6.27047584614957|-4.97672219595628>|<point|-6.44179158439247|-4.82253803153767>>|<with|point-size|5ln|<point|7.41765|-0.625302>>|<with|text-at-halign|center|<math-at|\<bbb-R\>|<point|8.18857|-0.71096>>>|<with|color|red|text-at-halign|center|<math-at|\<bbb-C\>|<point|8.17144|-1.6532>>>|<with|color|red|point-size|5ln|<point|7.45191|-1.49901>>|<spline|<point|-7.62387017826849|-4.82253803153767>|<point|-7.7780543426871|-4.99385376978057>|<point|-7.53821230914704|-5.18230108184776>|<point|-7.29837027560697|-4.97672219595628>|<point|-7.45255444002559|-4.82253803153767>>>>
      </hidden>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Real FFT, second approach>

    <unroll|<\shown>
      Given <math|<around*|(|P,Q|)>\<in\>\<bbb-R\><around*|[|x|]><rsub|\<less\>n><rsup|2>>,
      <math|n\<in\>2<rsup|\<bbb-N\>>>, and
      <math|\<omega\>=exp<around*|(|<frac|2*\<mathpi\>*\<mathi\>|n>|)>>,
      compute <math|<around*|(|FFT<rsub|\<omega\>><around*|(|P|)>,FFT<rsub|\<omega\>><around*|(|Q|)>|)>>
    </shown>|<\hidden*>
      <switch|<\shown>
        <image|merkel2.jpg||350px||-0.5h>
      </shown>|<\hidden>
        <image|merkel2.jpg||350px||-0.5h><space|1em>+<space|1em><image|macron2.jpg||350px||-0.5h>
        i
      </hidden>>
    </hidden*>|<\hidden*>
      <\eqnarray*>
        <tformat|<cwith|1|2|3|3|cell-bsep|1spc>|<table|<row|<cell|R>|<cell|=>|<cell|P+Q*\<mathi\>>>|<row|<cell|P<around*|(|\<omega\><rsup|k>|)>>|<cell|=>|<cell|<tfrac|1|2><around*|(|R<around*|(|\<omega\><rsup|k>|)>+<wide|R<around*|(|\<omega\><rsup|k>|)>|\<bar\>>|)>>>|<row|<cell|Q<around*|(|\<omega\><rsup|k>|)>>|<cell|=>|<cell|<tfrac|1|2*\<mathi\>><around*|(|R<around*|(|\<omega\><rsup|k>|)>-<wide|R<around*|(|\<omega\><rsup|k>|)>|\<bar\>>|)>>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Frobenius FFT>

    <switch|<\shown>
      <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1.41422cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|magnify|1.41421356236662|gr-point-size|4ln|gr-text-at-halign|center|<graphics||<with|point-size|4ln|<point|0|2.5>>|<with|point-size|4ln|<point|-1|2.5>>|<with|point-size|4ln|<point|-2|2.5>>|<with|point-size|4ln|<point|-3|2.5>>|<with|point-size|4ln|<point|-4|2.5>>|<with|point-size|4ln|<point|-5|2.5>>|<with|point-size|4ln|<point|-6|2.5>>|<with|point-size|4ln|<point|-7|2.5>>|<with|point-size|4ln|<point|1|2.5>>|<with|point-size|4ln|<point|2|2.5>>|<with|point-size|4ln|<point|3|2.5>>|<with|point-size|4ln|<point|4|2.5>>|<with|point-size|4ln|<point|5|2.5>>|<with|point-size|4ln|<point|6|2.5>>|<with|point-size|4ln|<point|7|2.5>>|<with|point-size|4ln|<point|-7|0>>|<with|point-size|4ln|<point|-6|0>>|<with|point-size|4ln|<point|-5|0>>|<with|point-size|4ln|<point|-4|0>>|<with|point-size|4ln|<point|-3|0>>|<with|point-size|4ln|<point|-2|0>>|<with|point-size|4ln|<point|-1|0>>|<with|point-size|4ln|<point|0|0>>|<with|point-size|4ln|<point|1|0>>|<with|point-size|4ln|<point|2|0>>|<with|point-size|4ln|<point|3|0>>|<with|point-size|4ln|<point|4|0>>|<with|point-size|4ln|<point|5|0>>|<with|point-size|4ln|<point|6|0>>|<with|point-size|4ln|<point|7|0>>|<with|point-size|4ln|<point|-7|-2.5>>|<with|point-size|4ln|<point|-6|-2.5>>|<with|point-size|4ln|<point|-5|-2.5>>|<with|point-size|4ln|<point|-4|-2.5>>|<with|point-size|4ln|<point|-3|-2.5>>|<with|point-size|4ln|<point|-2|-2.5>>|<with|point-size|4ln|<point|-1|-2.5>>|<with|point-size|4ln|<point|0|-2.5>>|<with|point-size|4ln|<point|1|-2.5>>|<with|point-size|4ln|<point|2|-2.5>>|<with|point-size|4ln|<point|3|-2.5>>|<with|point-size|4ln|<point|4|-2.5>>|<with|point-size|4ln|<point|5|-2.5>>|<with|point-size|4ln|<point|6|-2.5>>|<with|point-size|4ln|<point|7|-2.5>>|<line|<point|-7|0>|<point|-7.0|-2.5>>|<line|<point|-6|0>|<point|-6.0|-2.5>>|<line|<point|-5|-2.5>|<point|-5.0|0.0>>|<line|<point|-4|0>|<point|-4.0|-2.5>>|<line|<point|-3|0>|<point|-3.0|-2.5>>|<line|<point|-2|0>|<point|-2.0|-2.5>>|<line|<point|-1|0>|<point|-1.0|-2.5>>|<line|<point|0|0>|<point|0.0|-2.5>>|<line|<point|1|0>|<point|1.0|-2.5>>|<line|<point|2|0>|<point|2.0|-2.5>>|<line|<point|3|0>|<point|3.0|-2.5>>|<line|<point|4|0>|<point|4.0|-2.5>>|<line|<point|5|0>|<point|5.0|-2.5>>|<line|<point|6|0>|<point|6.0|-2.5>>|<line|<point|7|0>|<point|7.0|-2.5>>|<line|<point|-7|0>|<point|-6.0|-2.5>>|<line|<point|-7|0>|<point|-5.0|-2.5>>|<line|<point|-7|0>|<point|-4.0|-2.5>>|<line|<point|-7|0>|<point|-3.0|-2.5>>|<line|<point|-6|0>|<point|-7.0|-2.5>>|<line|<point|-6|0>|<point|-5.0|-2.5>>|<line|<point|-6|0>|<point|-4.0|-2.5>>|<line|<point|-6|0>|<point|-3.0|-2.5>>|<line|<point|-5|0>|<point|-7.0|-2.5>>|<line|<point|-5|0>|<point|-6.0|-2.5>>|<line|<point|-5|0>|<point|-4.0|-2.5>>|<line|<point|-5|0>|<point|-3.0|-2.5>>|<line|<point|-4|0>|<point|-7.0|-2.5>>|<line|<point|-4|0>|<point|-6.0|-2.5>>|<line|<point|-4|0>|<point|-5.0|-2.5>>|<line|<point|-4|0>|<point|-3.0|-2.5>>|<line|<point|-3|0>|<point|-7.0|-2.5>>|<line|<point|-3|0>|<point|-6.0|-2.5>>|<line|<point|-3|0>|<point|-5.0|-2.5>>|<line|<point|-3|0>|<point|-4.0|-2.5>>|<line|<point|-2|0>|<point|-1.0|-2.5>>|<line|<point|-2|0>|<point|0.0|-2.5>>|<line|<point|-2|0>|<point|1.0|-2.5>>|<line|<point|-2|0>|<point|2.0|-2.5>>|<line|<point|-1|0>|<point|-2.0|-2.5>>|<line|<point|0|0>|<point|-2.0|-2.5>>|<line|<point|1|0>|<point|-2.0|-2.5>>|<line|<point|2|0>|<point|-2.0|-2.5>>|<line|<point|-1|0>|<point|0.0|-2.5>>|<line|<point|-1|0>|<point|1.0|-2.5>>|<line|<point|-1|0>|<point|2.0|-2.5>>|<line|<point|0|0>|<point|-1.0|-2.5>>|<line|<point|0|0>|<point|1.0|-2.5>>|<line|<point|0|0>|<point|2.0|-2.5>>|<line|<point|1|0>|<point|-1.0|-2.5>>|<line|<point|1|0>|<point|0.0|-2.5>>|<line|<point|1|0>|<point|2.0|-2.5>>|<line|<point|2|0>|<point|-1.0|-2.5>>|<line|<point|2|0>|<point|0.0|-2.5>>|<line|<point|2|0>|<point|1.0|-2.5>>|<line|<point|3|0>|<point|4.0|-2.5>>|<line|<point|3|0>|<point|5.0|-2.5>>|<line|<point|3|0>|<point|6.0|-2.5>>|<line|<point|3|0>|<point|7.0|-2.5>>|<line|<point|4|0>|<point|3.0|-2.5>>|<line|<point|5|0>|<point|3.0|-2.5>>|<line|<point|6|0>|<point|3.0|-2.5>>|<line|<point|7|0>|<point|3.0|-2.5>>|<line|<point|4|0>|<point|5.0|-2.5>>|<line|<point|4|0>|<point|6.0|-2.5>>|<line|<point|4|0>|<point|7.0|-2.5>>|<line|<point|4|-2.5>|<point|5.0|0.0>>|<line|<point|4|-2.5>|<point|6.0|0.0>>|<line|<point|4|-2.5>|<point|7.0|0.0>>|<line|<point|5|0>|<point|6.0|-2.5>>|<line|<point|5|0>|<point|7.0|-2.5>>|<line|<point|5|-2.5>|<point|6.0|0.0>>|<line|<point|5|-2.5>|<point|7.0|0.0>>|<line|<point|6|0>|<point|7.0|-2.5>>|<line|<point|6|-2.5>|<point|7.0|0.0>>|<line|<point|-7|2.5>|<point|-7.0|0.0>>|<line|<point|-7|2.5>|<point|-2.0|0.0>>|<line|<point|-7|0>|<point|-2.0|2.5>>|<line|<point|-2|2.5>|<point|-2.0|0.0>>|<line|<point|-2|2.5>|<point|3.0|0.0>>|<line|<point|-2|0>|<point|3.0|2.5>>|<line|<point|3|2.5>|<point|3.0|0.0>>|<line|<point|-7|2.5>|<point|3.0|0.0>>|<line|<point|-7|0>|<point|3.0|2.5>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|0|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|7|3.25>>>|<with|<text-at|<math|\<cdots\>>
      5 times <math|\<cdots\>>|<point|3.25|1>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|-6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|-4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|1>|<point|-2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|0.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|7.0|-3.75>>>>>
    </shown>|<\hidden>
      <with|gr-mode|<tuple|edit|spline>|gr-frame|<tuple|scale|1.41422cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|magnify|1.41421356236662|gr-point-size|4ln|gr-text-at-halign|center|gr-color|red|gr-arrow-end|\<gtr\>|<graphics||<with|point-size|4ln|<point|0|2.5>>|<with|point-size|4ln|<point|-1|2.5>>|<with|point-size|4ln|<point|-2|2.5>>|<with|point-size|4ln|<point|-3|2.5>>|<with|point-size|4ln|<point|-4|2.5>>|<with|point-size|4ln|<point|-5|2.5>>|<with|point-size|4ln|<point|-6|2.5>>|<with|point-size|4ln|<point|-7|2.5>>|<with|point-size|4ln|<point|1|2.5>>|<with|point-size|4ln|<point|2|2.5>>|<with|point-size|4ln|<point|3|2.5>>|<with|point-size|4ln|<point|4|2.5>>|<with|point-size|4ln|<point|5|2.5>>|<with|point-size|4ln|<point|6|2.5>>|<with|point-size|4ln|<point|7|2.5>>|<with|point-size|4ln|<point|-7|0>>|<with|point-size|4ln|<point|-6|0>>|<with|point-size|4ln|<point|-5|0>>|<with|point-size|4ln|<point|-4|0>>|<with|point-size|4ln|<point|-3|0>>|<with|point-size|4ln|<point|-2|0>>|<with|point-size|4ln|<point|-1|0>>|<with|point-size|4ln|<point|0|0>>|<with|point-size|4ln|<point|1|0>>|<with|point-size|4ln|<point|2|0>>|<with|point-size|4ln|<point|3|0>>|<with|point-size|4ln|<point|4|0>>|<with|point-size|4ln|<point|5|0>>|<with|point-size|4ln|<point|6|0>>|<with|point-size|4ln|<point|7|0>>|<with|point-size|4ln|<point|-7|-2.5>>|<with|point-size|4ln|<point|-6|-2.5>>|<with|point-size|4ln|<point|-5|-2.5>>|<with|point-size|4ln|<point|-4|-2.5>>|<with|point-size|4ln|<point|-3|-2.5>>|<with|point-size|4ln|<point|-2|-2.5>>|<with|point-size|4ln|<point|-1|-2.5>>|<with|point-size|4ln|<point|0|-2.5>>|<with|point-size|4ln|<point|1|-2.5>>|<with|point-size|4ln|<point|2|-2.5>>|<with|point-size|4ln|<point|3|-2.5>>|<with|point-size|4ln|<point|4|-2.5>>|<with|point-size|4ln|<point|5|-2.5>>|<with|point-size|4ln|<point|6|-2.5>>|<with|point-size|4ln|<point|7|-2.5>>|<line|<point|-7|2.5>|<point|-7.0|0.0>>|<line|<point|-7|2.5>|<point|-2.0|0.0>>|<line|<point|-7|0>|<point|-2.0|2.5>>|<line|<point|-2|2.5>|<point|-2.0|0.0>>|<line|<point|-2|2.5>|<point|3.0|0.0>>|<line|<point|-2|0>|<point|3.0|2.5>>|<line|<point|3|2.5>|<point|3.0|0.0>>|<line|<point|-7|2.5>|<point|3.0|0.0>>|<line|<point|-7|0>|<point|3.0|2.5>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|0|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|7|3.25>>>|<with|<text-at|<math|\<cdots\>>
      5 times <math|\<cdots\>>|<point|3.25|1>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-7.25|-1.25>|<point|-7.5|-1.5>|<point|-7.0|-1.75>|<point|-6.5|-1.5>|<point|-6.75|-1.25>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-1.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|3.0|-1.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-1.5|-0.75>|<point|0.5|-0.25>|<point|2.39012640170251|-0.75829328469031>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|2.41187808580289|-1.25>|<point|0.5|-1.75>|<point|-1.5|-1.25>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|-2.0|-1.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|-6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|-4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|1>|<point|-2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|0.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|7.0|-3.75>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1.41422cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|magnify|1.41421356236662|gr-point-size|4ln|gr-text-at-halign|center|gr-arrow-end|\<gtr\>|gr-text-at-valign|axis|<graphics||<line|<point|-2|2.5>|<point|-2.0|0.0>>|<line|<point|-2|0>|<point|3.0|2.5>>|<with|point-size|4ln|<point|0|2.5>>|<with|point-size|4ln|<point|-1|2.5>>|<with|point-size|4ln|<point|-2|2.5>>|<with|point-size|4ln|<point|-3|2.5>>|<with|point-size|4ln|<point|-4|2.5>>|<with|point-size|4ln|<point|-5|2.5>>|<with|point-size|4ln|<point|-6|2.5>>|<with|point-size|4ln|<point|-7|2.5>>|<with|point-size|4ln|<point|1|2.5>>|<with|point-size|4ln|<point|2|2.5>>|<with|point-size|4ln|<point|3|2.5>>|<with|point-size|4ln|<point|4|2.5>>|<with|point-size|4ln|<point|5|2.5>>|<with|point-size|4ln|<point|6|2.5>>|<with|point-size|4ln|<point|7|2.5>>|<with|point-size|4ln|<point|-7|0>>|<with|point-size|4ln|<point|-6|0>>|<with|point-size|4ln|<point|-5|0>>|<line|<point|-7|2.5>|<point|-2.0|0.0>>|<with|point-size|4ln|<point|-4|0>>|<with|point-size|4ln|<point|-3|0>>|<with|point-size|4ln|color|red|<point|-2|0>>|<with|point-size|4ln|color|red|<point|-1|0>>|<with|point-size|4ln|color|red|<point|0|0>>|<with|point-size|4ln|color|red|<point|1|0>>|<with|point-size|4ln|color|red|<point|2|0>>|<with|point-size|4ln|<point|-7|-2.5>>|<with|point-size|4ln|<point|-6|-2.5>>|<with|point-size|4ln|<point|-5|-2.5>>|<with|point-size|4ln|<point|-4|-2.5>>|<with|point-size|4ln|<point|-3|-2.5>>|<with|point-size|4ln|color|red|<point|-2|-2.5>>|<with|point-size|4ln|color|red|<point|-1|-2.5>>|<with|point-size|4ln|color|red|<point|0|-2.5>>|<with|point-size|4ln|color|red|<point|1|-2.5>>|<with|point-size|4ln|color|red|<point|2|-2.5>>|<line|<point|-7|2.5>|<point|-7.0|0.0>>|<line|<point|-7|0>|<point|-2.0|2.5>>|<line|<point|-7|0>|<point|3.0|2.5>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|0|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|7|3.25>>>|<with|<text-at|<math|\<cdots\>>
      5 times <math|\<cdots\>>|<point|3.25|1>>>|<with|point-size|4ln|<point|5.5|-0.25>>|<with|text-at-valign|axis|text-at-halign|center|<math-at|\<bbb-F\><rsub|2>|<point|6.0|-0.25>>>|<with|color|red|point-size|4ln|<point|5.5|-1.25>>|<with|text-at-valign|axis|text-at-halign|center|<math-at|\<bbb-F\><rsub|4>|<point|6.0|-1.25>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|-6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|-4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|1>|<point|-2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|0.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|7.0|-3.75>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-7.25|-1.25>|<point|-7.5|-1.5>|<point|-7.0|-1.75>|<point|-6.5|-1.5>|<point|-6.75|-1.25>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-1.0>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|3.0|-1.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|2.39012640170251|-1.19354310637153>|<point|0.5|-1.75>|<point|-1.5|-1.25>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-1.5|-0.75>|<point|0.5|-0.25>|<point|2.39012640170251|-0.75829328469031>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|-2.0|-1.0>>>>>
    </hidden>|<\hidden>
      <with|gr-mode|<tuple|edit|math-at>|gr-frame|<tuple|scale|1.41422cm|<tuple|0.5gw|0.499999gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|magnify|1.41421356236662|gr-point-size|4ln|gr-snap|<tuple|control
      point|grid point|grid curve point|curve-grid intersection|curve
      point|curve-curve intersection>|gr-color|blue|gr-text-at-valign|axis|<graphics||<with|point-size|4ln|<point|0|2.5>>|<with|point-size|4ln|<point|-1|2.5>>|<with|point-size|4ln|<point|-2|2.5>>|<with|point-size|4ln|<point|-3|2.5>>|<with|point-size|4ln|<point|-4|2.5>>|<with|point-size|4ln|<point|-5|2.5>>|<with|point-size|4ln|<point|-6|2.5>>|<with|point-size|4ln|<point|-7|2.5>>|<with|point-size|4ln|<point|1|2.5>>|<with|point-size|4ln|<point|2|2.5>>|<with|point-size|4ln|<point|3|2.5>>|<with|point-size|4ln|<point|4|2.5>>|<with|point-size|4ln|<point|5|2.5>>|<with|point-size|4ln|<point|6|2.5>>|<with|point-size|4ln|<point|7|2.5>>|<with|point-size|4ln|<point|-7|0>>|<with|point-size|4ln|<point|-6|0>>|<with|point-size|4ln|<point|-5|0>>|<with|point-size|4ln|<point|-4|0>>|<with|point-size|4ln|<point|-3|0>>|<with|color|red|<line|<point|-2|0>|<point|1.0|-2.5>>>|<with|color|red|<line|<point|-2|0>|<point|-2.0|-2.5>>>|<line|<point|-7|2.5>|<point|-2.0|0.0>>|<line|<point|-2|2.5>|<point|-2.0|0.0>>|<with|color|red|<line|<point|-1|0>|<point|-2.0|-2.5>>>|<line|<point|-2|0>|<point|3.0|2.5>>|<with|color|red|<line|<point|-1|0>|<point|0.0|-2.5>>>|<with|color|red|<line|<point|1|0>|<point|0.0|-2.5>>>|<with|color|red|<line|<point|0|0>|<point|0.0|-2.5>>>|<with|color|red|<line|<point|2|0>|<point|0.0|-2.5>>>|<with|color|red|<line|<point|0|0>|<point|-2.0|-2.5>|<point|1.0|0.0>>>|<with|color|red|<line|<point|2|0>|<point|-2.0|-2.5>>>|<with|point-size|4ln|color|red|<point|-2|0>>|<with|point-size|4ln|color|red|<point|-1|0>>|<with|color|red|<line|<point|-2|0>|<point|0.0|-2.5>>>|<with|point-size|4ln|color|red|<point|0|0>>|<with|point-size|4ln|color|red|<point|1|0>>|<with|point-size|4ln|color|red|<point|2|0>>|<with|point-size|4ln|<point|-7|-2.5>>|<with|point-size|4ln|color|blue|<point|-2|-2.5>>|<with|point-size|4ln|color|blue|<point|0|-2.5>>|<with|point-size|4ln|color|red|<point|1|-2.5>>|<line|<point|-7|0>|<point|-7.0|-2.5>>|<line|<point|-6|0>|<point|-6.0|-2.5>>|<line|<point|-7|0>|<point|-6.0|-2.5>>|<line|<point|-6|0>|<point|-7.0|-2.5>>|<line|<point|-5|0>|<point|-7.0|-2.5>>|<line|<point|-5|0>|<point|-6.0|-2.5>>|<line|<point|-4|0>|<point|-7.0|-2.5>>|<line|<point|-4|0>|<point|-6.0|-2.5>>|<line|<point|-3|0>|<point|-7.0|-2.5>>|<line|<point|-3|0>|<point|-6.0|-2.5>>|<line|<point|-7|2.5>|<point|-7.0|0.0>>|<line|<point|-7|0>|<point|-2.0|2.5>>|<line|<point|-7|0>|<point|3.0|2.5>>|<with|text-at-halign|center|<math-at|P<rsub|0>|<point|-7|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|1>|<point|-6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|2>|<point|-5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|3>|<point|-4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|4>|<point|-3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|5>|<point|-2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|6>|<point|-1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|7>|<point|0|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|8>|<point|1|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|9>|<point|2|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|10>|<point|3|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|11>|<point|4|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|12>|<point|5|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|13>|<point|6|3.25>>>|<with|text-at-halign|center|<math-at|P<rsub|14>|<point|7|3.25>>>|<with|<text-at|<math|\<cdots\>>
      5 times <math|\<cdots\>>|<point|3.25|1>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|0>|<point|-7.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|3>|<point|-6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|6>|<point|-5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|9>|<point|-4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|12>|<point|-3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|1>|<point|-2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|4>|<point|-1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|7>|<point|0.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|10>|<point|1.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|13>|<point|2.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|2>|<point|3.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|5>|<point|4.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|8>|<point|5.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|11>|<point|6.0|-3.75>>>|<with|text-at-halign|center|<math-at|\<omega\><rsup|14>|<point|7.0|-3.75>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-2|-3.25>|<point|0.5|-2.75>|<point|2.89530056945078|-3.28488909156815>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|3|-3.94353>|<point|1.0|-4.5>|<point|-1.0|-3.94353433659569>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-0.625|-3.25>|<point|2.5|-2.75>|<point|4.75|-3.25>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|5|-4>|<point|1.375|-4.75>|<point|-2.0|-4.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-6|-4>|<point|-5.625|-4.25>|<point|-5.125|-4.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-4.875|-4>|<point|-4.0|-4.375>|<point|-3.0|-4.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-3|-3.125>|<point|-3.375|-2.875>|<point|-3.875|-3.125>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-4.125|-3.125>|<point|-5.0|-2.875>|<point|-6.0|-3.125>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-7.125|-4>|<point|-7.375|-4.375>|<point|-7.0|-4.75>|<point|-6.625|-4.375>|<point|-6.875|-4.02920442926949>>>|<with|color|red|<line|<point|-1|0>|<point|1.0|-2.5>>>|<with|color|red|<line|<point|0|0>|<point|1.0|-2.5>>>|<with|color|red|<line|<point|1|0>|<point|1.0|-2.5>>>|<with|color|red|<line|<point|2|0>|<point|1.0|-2.5>>>|<with|color|blue|point-size|4ln|<point|-6|-2.5>>|<with|point-size|4ln|<point|5.5|0.0>>|<with|color|red|point-size|4ln|<point|5.5|-1.0>>|<with|color|blue|point-size|4ln|<point|5.5|-2.0>>|<with|color|blue|text-at-valign|axis|<math-at|\<bbb-F\><rsub|2>|<point|6|0>>>|<with|color|blue|text-at-valign|axis|<math-at|\<bbb-F\><rsub|4>|<point|6|-1>>>|<with|color|blue|text-at-valign|axis|<math-at|\<bbb-F\><rsub|16>|<point|6|-2>>>>>
    </hidden>>
  </hidden>|<\hidden>
    <tit|More common situation>

    <switch|<\shown>
      <with|gr-mode|<tuple|edit|cline>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|gr-color|blue|gr-fill-color|#00F4|<graphics||<point|-9.5|3>|<point|-9|3>|<point|-8.5|3>|<point|-8|3>|<point|-7.5|3>|<point|-7|3>|<point|-6.5|3>|<point|-6|3>|<point|-5.5|3>|<point|-5|3>|<point|-4.5|3>|<point|-4|3>|<point|-3.5|3>|<point|-3|3>|<point|-2.5|3>|<point|-2|3>|<point|-1.5|3>|<point|-1|3>|<point|-0.5|3>|<point|0|3>|<point|0.5|3>|<point|1|3>|<point|1.5|3>|<point|2|3>|<point|2.5|3>|<point|3|3>|<point|3.5|3>|<point|4|3>|<point|4.5|3>|<point|5|3>|<point|5.5|3>|<point|6|3>|<point|6.5|3>|<point|7|3>|<point|7.5|3>|<point|8|3>|<point|8.5|3>|<point|9|3>|<point|9.5|3>|<point|-9.5|2>|<point|-9|2>|<point|-8.5|2>|<point|-8|2>|<point|-7.5|2>|<point|-5.5|2>|<point|-6|2>|<point|-6.5|2>|<point|-7|2>|<with|color|red|<point|-5|2>>|<with|color|red|<point|-4.5|2>>|<with|color|red|<point|-4|2>>|<with|color|red|<point|-3.5|2>>|<with|color|red|<point|-3|2>>|<with|color|red|<point|-2.5|2>>|<with|color|red|<point|-2|2>>|<with|color|red|<point|-1.5|2>>|<with|color|red|<point|-1|2>>|<with|color|red|<point|-0.5|2>>|<with|color|red|<point|0|2>>|<with|color|blue|<point|-5|1>>|<with|color|blue|<point|-4.5|1>>|<with|color|blue|<point|-4|1>>|<with|color|blue|<point|-3.5|1>>|<with|color|blue|<point|-3|1>>|<with|color|blue|<point|-2.5|1>>|<with|color|blue|<point|-5|0>>|<with|color|blue|<point|-4.5|0>>|<with|color|blue|<point|-4|0>>|<with|color|blue|<point|-3.5|0>>|<with|color|blue|<point|-3|0>>|<with|color|blue|<point|-2.5|0>>|<with|color|blue|<point|-5|-1>>|<with|color|blue|<point|-4.5|-1>>|<with|color|blue|<point|-4|-1>>|<with|color|blue|<point|-3.5|-1>>|<with|color|blue|<point|-3|-1>>|<with|color|blue|<point|-2.5|-1>>|<with|color|blue|<point|-5|-2>>|<with|color|blue|<point|-4.5|-2>>|<with|color|blue|<point|-4|-2>>|<with|color|blue|<point|-3.5|-2>>|<with|color|blue|<point|-3|-2>>|<with|color|blue|<point|-2.5|-2>>|<with|color|dark
      green|<point|-8|1>>|<with|color|dark
      green|<point|-7.5|1>>|<with|color|dark
      green|<point|-7|1>>|<point|-9.5|1>|<point|-9|1>|<point|-8.5|1>|<point|-9.5|0>|<with|color|blue|<point|-8|0>>|<with|color|red|<point|-9|0>>|<with|color|red|<point|-9|-1>>|<with|color|red|<point|-9|-2>>|<point|-9.5|-1>|<point|-9.5|-2>|<with|color|blue|<point|-8|-1>>|<with|color|blue|<point|-8|-2>>|<with|color|blue|<point|-5|-3>>|<with|color|blue|<point|-4.5|-3>>|<with|color|blue|<point|-4|-3>>|<with|color|blue|<point|-3.5|-3>>|<with|color|blue|<point|-3|-3>>|<with|color|blue|<point|-2.5|-3>>|<with|color|blue|<point|-8|-3>>|<point|-9.5|-3>|<with|color|red|<point|-9|-3>>|<with|color|red|<point|-4.75|2>>|<with|color|red|<point|-4.25|2>>|<with|color|red|<point|-3.75|2>>|<with|color|red|<point|-3.25|2>>|<with|color|red|<point|-2.75|2>>|<with|color|red|<point|-2.25|2>>|<with|color|red|<point|-1.75|2>>|<with|color|red|<point|-1.25|2>>|<with|color|red|<point|-0.75|2>>|<with|color|red|<point|-0.25|2>>|<with|color|red|<point|0.25|2>>|<with|color|red|<point|-8.75|0>>|<with|color|red|<point|-8.75|-1>>|<with|color|red|<point|-8.75|-2>>|<with|color|red|<point|-8.75|-3>>|<point|-9.25|3>|<point|-9.25|2>|<point|-9.25|1>|<point|-8.75|1>|<point|-8.75|2>|<point|-8.75|3>|<point|-8.25|3>|<point|-8.25|2>|<point|-8.25|1>|<point|-7.75|3>|<point|-7.75|2>|<point|-7.25|2>|<point|-7.25|3>|<point|-6.75|3>|<point|-6.75|2>|<point|-6.25|2>|<point|-6.25|3>|<point|-5.75|3>|<point|-5.75|2>|<point|-5.25|3>|<point|-5.25|2>|<point|-4.75|3>|<point|-4.25|3>|<point|-3.75|3>|<point|-3.25|3>|<point|-2.75|3>|<point|-2.25|3>|<point|-1.75|3>|<point|-1.25|3>|<point|-0.75|3>|<point|-0.25|3>|<point|0.25|3>|<point|0.75|3>|<point|1.25|3>|<point|1.75|3>|<point|2.25|3>|<point|2.75|3>|<point|3.25|3>|<point|3.75|3>|<point|4.25|3>|<point|4.75|3>|<point|5.25|3>|<point|5.75|3>|<point|6.25|3>|<point|6.75|3>|<point|7.25|3>|<point|7.75|3>|<point|8.25|3>|<point|8.75|3>|<point|9.25|3>|<point|9.75|3>|<with|color|dark
      green|<point|-7.75|1>>|<with|color|dark
      green|<point|-7.25|1>>|<with|color|dark
      green|<point|-6.75|1>>|<with|color|blue|<point|-7.75|0>>|<with|color|blue|<point|-7.75|-1>>|<with|color|blue|<point|-7.75|-2>>|<with|color|blue|<point|-7.75|-3>>|<with|color|blue|<point|-4.75|1>>|<with|color|blue|<point|-4.25|1>>|<with|color|blue|<point|-3.75|1>>|<with|color|blue|<point|-3.25|1>>|<with|color|blue|<point|-2.75|1>>|<with|color|blue|<point|-2.25|1>>|<with|color|blue|<point|-4.75|0>>|<with|color|blue|<point|-4.25|0>>|<with|color|blue|<point|-3.75|0>>|<with|color|blue|<point|-3.25|0>>|<with|color|blue|<point|-2.75|0>>|<with|color|blue|<point|-2.25|0>>|<with|color|blue|<point|-4.75|-1>>|<with|color|blue|<point|-4.25|-1>>|<with|color|blue|<point|-3.75|-1>>|<with|color|blue|<point|-3.25|-1>>|<with|color|blue|<point|-2.75|-1>>|<with|color|blue|<point|-2.25|-1>>|<with|color|blue|<point|-4.75|-2>>|<with|color|blue|<point|-4.25|-2>>|<with|color|blue|<point|-3.75|-2>>|<with|color|blue|<point|-3.25|-2>>|<with|color|blue|<point|-2.75|-2>>|<with|color|blue|<point|-2.25|-2>>|<with|color|blue|<point|-4.75|-3>>|<with|color|blue|<point|-4.25|-3>>|<with|color|blue|<point|-3.75|-3>>|<with|color|blue|<point|-3.25|-3>>|<with|color|blue|<point|-2.75|-3>>|<with|color|blue|<point|-2.25|-3>>>>
    </shown>|<\hidden>
      <with|gr-mode|<tuple|edit|cline>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|gr-color|blue|gr-fill-color|#00F4|<graphics||<point|-9.5|3>|<point|-9|3>|<point|-8.5|3>|<point|-8|3>|<point|-7.5|3>|<point|-7|3>|<point|-6.5|3>|<point|-6|3>|<point|-5.5|3>|<point|-5|3>|<point|-4.5|3>|<point|-4|3>|<point|-3.5|3>|<point|-3|3>|<point|-2.5|3>|<point|-2|3>|<point|-1.5|3>|<point|-1|3>|<point|-0.5|3>|<point|0|3>|<point|0.5|3>|<point|1|3>|<point|1.5|3>|<point|2|3>|<point|2.5|3>|<point|3|3>|<point|3.5|3>|<point|4|3>|<point|4.5|3>|<point|5|3>|<point|5.5|3>|<point|6|3>|<point|6.5|3>|<point|7|3>|<point|7.5|3>|<point|8|3>|<point|8.5|3>|<point|9|3>|<point|9.5|3>|<point|-9.5|2>|<point|-9|2>|<point|-8.5|2>|<point|-8|2>|<point|-7.5|2>|<point|-5.5|2>|<point|-6|2>|<point|-6.5|2>|<point|-7|2>|<with|color|red|<point|-5|2>>|<with|color|red|<point|-4.5|2>>|<with|color|red|<point|-4|2>>|<with|color|red|<point|-3.5|2>>|<with|color|red|<point|-3|2>>|<with|color|red|<point|-2.5|2>>|<with|color|red|<point|-2|2>>|<with|color|red|<point|-1.5|2>>|<with|color|red|<point|-1|2>>|<with|color|red|<point|-0.5|2>>|<with|color|red|<point|0|2>>|<with|color|blue|<point|-5|1>>|<with|color|blue|<point|-4.5|1>>|<with|color|blue|<point|-4|1>>|<with|color|blue|<point|-3.5|1>>|<with|color|blue|<point|-3|1>>|<with|color|blue|<point|-2.5|1>>|<with|color|blue|<point|-5|0>>|<with|color|blue|<point|-4.5|0>>|<with|color|blue|<point|-4|0>>|<with|color|blue|<point|-3.5|0>>|<with|color|blue|<point|-3|0>>|<with|color|blue|<point|-2.5|0>>|<with|color|blue|<point|-5|-1>>|<with|color|blue|<point|-4.5|-1>>|<with|color|blue|<point|-4|-1>>|<with|color|blue|<point|-3.5|-1>>|<with|color|blue|<point|-3|-1>>|<with|color|blue|<point|-2.5|-1>>|<with|color|blue|<point|-5|-2>>|<with|color|blue|<point|-4.5|-2>>|<with|color|blue|<point|-4|-2>>|<with|color|blue|<point|-3.5|-2>>|<with|color|blue|<point|-3|-2>>|<with|color|blue|<point|-2.5|-2>>|<with|color|dark
      green|<point|-8|1>>|<with|color|dark
      green|<point|-7.5|1>>|<with|color|dark
      green|<point|-7|1>>|<point|-9.5|1>|<point|-9|1>|<point|-8.5|1>|<point|-9.5|0>|<with|color|blue|<point|-8|0>>|<with|color|red|<point|-9|0>>|<with|color|red|<point|-9|-1>>|<with|color|red|<point|-9|-2>>|<point|-9.5|-1>|<point|-9.5|-2>|<with|color|blue|<point|-8|-1>>|<with|color|blue|<point|-8|-2>>|<with|color|blue|<point|-5|-3>>|<with|color|blue|<point|-4.5|-3>>|<with|color|blue|<point|-4|-3>>|<with|color|blue|<point|-3.5|-3>>|<with|color|blue|<point|-3|-3>>|<with|color|blue|<point|-2.5|-3>>|<with|color|blue|<point|-8|-3>>|<point|-9.5|-3>|<with|color|red|<point|-9|-3>>|<with|color|red|<point|-4.75|2>>|<with|color|red|<point|-4.25|2>>|<with|color|red|<point|-3.75|2>>|<with|color|red|<point|-3.25|2>>|<with|color|red|<point|-2.75|2>>|<with|color|red|<point|-2.25|2>>|<with|color|red|<point|-1.75|2>>|<with|color|red|<point|-1.25|2>>|<with|color|red|<point|-0.75|2>>|<with|color|red|<point|-0.25|2>>|<with|color|red|<point|0.25|2>>|<with|color|red|<point|-8.75|0>>|<with|color|red|<point|-8.75|-1>>|<with|color|red|<point|-8.75|-2>>|<with|color|red|<point|-8.75|-3>>|<point|-9.25|3>|<point|-9.25|2>|<point|-9.25|1>|<point|-8.75|1>|<point|-8.75|2>|<point|-8.75|3>|<point|-8.25|3>|<point|-8.25|2>|<point|-8.25|1>|<point|-7.75|3>|<point|-7.75|2>|<point|-7.25|2>|<point|-7.25|3>|<point|-6.75|3>|<point|-6.75|2>|<point|-6.25|2>|<point|-6.25|3>|<point|-5.75|3>|<point|-5.75|2>|<point|-5.25|3>|<point|-5.25|2>|<point|-4.75|3>|<point|-4.25|3>|<point|-3.75|3>|<point|-3.25|3>|<point|-2.75|3>|<point|-2.25|3>|<point|-1.75|3>|<point|-1.25|3>|<point|-0.75|3>|<point|-0.25|3>|<point|0.25|3>|<point|0.75|3>|<point|1.25|3>|<point|1.75|3>|<point|2.25|3>|<point|2.75|3>|<point|3.25|3>|<point|3.75|3>|<point|4.25|3>|<point|4.75|3>|<point|5.25|3>|<point|5.75|3>|<point|6.25|3>|<point|6.75|3>|<point|7.25|3>|<point|7.75|3>|<point|8.25|3>|<point|8.75|3>|<point|9.25|3>|<point|9.75|3>|<with|color|dark
      green|<point|-7.75|1>>|<with|color|dark
      green|<point|-7.25|1>>|<with|color|dark
      green|<point|-6.75|1>>|<with|color|blue|<point|-7.75|0>>|<with|color|blue|<point|-7.75|-1>>|<with|color|blue|<point|-7.75|-2>>|<with|color|blue|<point|-7.75|-3>>|<with|color|blue|<point|-4.75|1>>|<with|color|blue|<point|-4.25|1>>|<with|color|blue|<point|-3.75|1>>|<with|color|blue|<point|-3.25|1>>|<with|color|blue|<point|-2.75|1>>|<with|color|blue|<point|-2.25|1>>|<with|color|blue|<point|-4.75|0>>|<with|color|blue|<point|-4.25|0>>|<with|color|blue|<point|-3.75|0>>|<with|color|blue|<point|-3.25|0>>|<with|color|blue|<point|-2.75|0>>|<with|color|blue|<point|-2.25|0>>|<with|color|blue|<point|-4.75|-1>>|<with|color|blue|<point|-4.25|-1>>|<with|color|blue|<point|-3.75|-1>>|<with|color|blue|<point|-3.25|-1>>|<with|color|blue|<point|-2.75|-1>>|<with|color|blue|<point|-2.25|-1>>|<with|color|blue|<point|-4.75|-2>>|<with|color|blue|<point|-4.25|-2>>|<with|color|blue|<point|-3.75|-2>>|<with|color|blue|<point|-3.25|-2>>|<with|color|blue|<point|-2.75|-2>>|<with|color|blue|<point|-2.25|-2>>|<with|color|blue|<point|-4.75|-3>>|<with|color|blue|<point|-4.25|-3>>|<with|color|blue|<point|-3.75|-3>>|<with|color|blue|<point|-3.25|-3>>|<with|color|blue|<point|-2.75|-3>>|<with|color|blue|<point|-2.25|-3>>|<with|color|blue|fill-color|#00F4|<cline|<point|-5.25|1.25>|<point|-2.0|1.25>|<point|-2.0|-3.25>|<point|-5.25|-3.25>>>>>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Back to <math|\<bbb-F\><rsub|2<rsup|60>>>>

    <unroll|<\shown>
      <vspace*|1.5fn><strong|Special case>

      Compute FFFT of <math|P\<in\>\<bbb-F\><rsub|2><around*|[|x|]><rsub|\<less\>n>>,
      where <math|n> is large and <math|61\<divides\>n><vspace|1fn>
    </shown>|<\hidden*>
      <strong|First step with radix 61>

      For <math|0\<leqslant\>k\<less\><frac|n|61>> and
      <math|P<rsub|k><rsup|\<sharp\>>=P<rsub|k>+P<rsub|k+n/61>*y+\<cdots\>+P<rsub|k+60*n/61>*y<rsup|60>>,

      <\itemize>
        <item>Compute <math|P<rsub|k><rsup|\<sharp\>><around*|(|1|)>\<in\>\<bbb-F\><rsub|2>>

        <item>Compute <math|P<rsub|k><rsup|\<sharp\>><around*|(|\<omega\><rsup|n/61>|)>\<in\>\<bbb-F\><rsub|2<rsup|60>>>

        <item>Take <math|\<omega\><rsup|n/61>=\<alpha\>>, where
        <math|\<bbb-F\><rsub|2<rsup|60>>=\<bbb-F\><rsub|2><around*|[|\<alpha\>|]>>
        and <math|<frac|\<alpha\><rsup|61>-1|\<alpha\>-1>=0><vspace|1fn>
      </itemize>
    </hidden*>|<\hidden*>
      <strong|Remaining steps>

      <\itemize>
        <item>One FFFT of size <math|n/61>

        <item>One full FFT of size <math|n/61> over
        <math|\<bbb-F\><rsub|2<rsup|60>>><vspace|1fn>
      </itemize>
    </hidden*>|<\hidden*>
      <strong|Stay tuned...>
    </hidden*>>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|minimal>
  </collection>
</initial>